package com.tmerclub.cloud.common.cache.bo;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author lgh
 */
@ConfigurationProperties(prefix = "redis.multi")
@Component
public class MultiRedisBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private String password;

    private List<String> redisAddrs;

    private Integer database;

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getDatabase() {
        return database;
    }

    public void setDatabase(Integer database) {
        this.database = database;
    }

    public List<String> getRedisAddrs() {
        return redisAddrs;
    }

    public void setRedisAddrs(List<String> redisAddrs) {
        this.redisAddrs = redisAddrs;
    }

    @Override
    public String toString() {
        return "MultiRedisBO{" +
                "password='" + password + '\'' +
                ", redisAddrs=" + redisAddrs +
                ", database=" + database +
                '}';
    }
}
